Authorization

​

This flow generates a one-time authorization code used to obtain the OAuth access token. The authorization code is obtained by using an authorization server as an intermediary between the client (you) and the resource owner (your Merchants).

Query Parameters

  • Value must be set to 'code'.

  • The client identifier issued to the client during the registration process.

  • URL to redirect back to after completing its interaction with the resource owner. The redirection endpoint URI must be an absolute URI.

Responses

  • application/json
Request Example for get/authorize
curl 'https://auth.payfirma.com/oauth/authorize?response_type=code&client_id=&redirect_uri='
{
  "Location": "https:///www.example.com&code=Xdfsdf82F"
}